qdmr (0.10.2-1) unstable; urgency=medium
  
  * Repeaterbook integration.
  * Implemented encryption settings.
  * Added 'show extension' setting.
  * Implemented bitmap for hidden zones for the AT-D878UV and later.
  * Fixed static colors for ChannelListView (dark mode).
  * Fixed limit DB entries toggling.
  * Fixed radio limit checks.
  * Fixed MD2017 zone decoding (off-by-one error).
  * Fixed creation of APRS channel when decoding D878UV codeplugs.
  * Fixed encoding/decoding of DCS settings for all AnyTone devices.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 26 Mar 2022 13:00:02 +0100


qdmr (0.10.1-2) unstable; urgency=medium

  * Fixed copyright for icons.
  * Hopefully fixed build issues under ppc64, etc.

 -- Hannes Matuschek <dm3mat@darc.de>  Thu, 27 Jan 2022 13:14:02 +0100


qdmr (0.10.1-1) unstable; urgency=medium

  * Added auto-gen list of supported devices to about dialog.
  * Added access right check for Unix systems.
  * Implemented interface selection and detection.
  * Implemented Radioddity radio settings extension.
  * Implemented RadioID editor. Fixed RadioID list.
  * Store header states for all extension views.
  * Fixed stupid cast mistake in AbstractConfigObjectList.
  * Fixed encoding/decoding of APRS src/dst for D878UV and later.
  * Added color output for logger.
  * Fixed squelch encoding for RD5R.
  * Fixed decoding of AnyTone general settings.
  * Fixed manual license.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 22 Jan 2022 17:05:20 +0100


qdmr (0.10.0-1) unstable; urgency=medium

  * Added support for Baofeng DM-1701, still untested and user-db is missing.
  * Hide extensions in AnalogChannelEditor if show-commercial-features is 
    disabled.
  * Fixed potential crash and memory leak in DTMFContactDialog.
  * Fixed squelch settings for RD-5R.
  * Implemented TyT menu, extension.
  * Fixed error message on TyT device detection.
  * Fixed copying of squelch settings & signalling for analog channels.
  * Fixed GUI update for general settings tab.
  * Fixed handling and instantiation of device specific extensions.

 -- Hannes Matuschek <dm3mat@darc.de>  Thu, 06 Jan 2022 12:11:11 +0100


qdmr (0.9.3-1) unstable; urgency=medium

  * Fixed YAML serialization.
  * Fixed YAML parser warning.
  * Added description fields for device specific settings.
  * Added TyT channel, scan list, general settings.
  * Fixed reset of owned ConfigItem properties.
  * Added auto-copying of properties.
  * Fixed udev rules (prep Debian package).
  * Fixed icon sizes (prep Debian package).

 -- Hannes Matuschek <dm3mat@darc.de>  Sun, 28 Nov 2021 13:55:26 +0100


qdmr (0.9.2-1) unstable; urgency=medium

  * Fixed YAML parser to properly link APRS systems. Fixes #179.
  * Fixed YAML parser issue serializing DefaultRadioID.
  * Fixed connection issue with TyT devices.
  * Fixed GUI update issue when reading a codeplug from the device.
  * Added extension editors to all config elements. These editors are only 
    visible when "Show Commercial Features" is enabled in the settings dialog.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 19 Nov 2021 22:52:48 +0100


qdmr (0.9.1-1) unstable; urgency=medium

  * Rewrite of codeplug representation, allows to extend generic device-
    independent codeplug representation for device specific settings.
  * New codeplug file format (YAML based). Also allows for device-specific 
    settings to be strored.
  * Rewrite of binary codeplug encoding/decoding. Allows to extend existing 
    codeplugs and codeplug elements by just implementing the differences. This
    makes the cumbersome encoding/decoding of device specific settings 
    feasible.
  * Added support for the TyT MD-2017.
  * Added TyT MD-390 support.
  * Added Hide/Show Commercial Features flag to settings dialog. This 
    shows/hides the radio ID list (in ham radio you will only need one DMR ID).
  * Cleanup of GUI. Some minor GUI cleanup things.
  * Added unified device names and --list-radios option for command line tool.
  * Fixed call-sign DB entry for OpenGD77.
  * Added band information to repeater database, showing it in auto-completer.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 06 Nov 2021 15:09:01 +0100


qdmr (0.9.0-alpha4-1) unstable; urgency=medium

  * Destroy radio object when verification fails.
  * Fixed ZoneDialog adding channels always to list A.
  * Fixed include path for yaml-cpp.
  * Fixed crash when encoding OpenGD77 codeplugs with extension.
  * Disabled conf-format export in command line tool.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 28 Oct 2021 16:19:57 +0200


qdmr (0.9.0-alpha3-1) unstable; urgency=medium

  * Added TyT MD-390 support.
  * Added alias for TyT MD-UV380 to UV390. 
  * Fixed crash after codeplug reset in the presence of extensions. 
  * Fixed encoding of GPS systems for TyT devices.
  * Fixed crash when decoding an unkown enum value. 
  * Fixed analog and digital channel dialog. 
  * Fixed copy constructor of Analog/DigitalChannel.
  * Fixed crash in TyTInterface when no radio is connected.
  * Fixed overriding of radio detection.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 10 Oct 2021 14:58:54 +0200


qdmr (0.9.0-alpha2-1) unstable; urgency=medium

  * Added unified device names and --list-radios option for command line tool
  * Cleanup & fixed decoding of UV390 and MD2017 codeplugs.
  * Fixed YAML serializer, added missing default DMR radio ID.
  * Added error message on call-sign DB upload when no default ID is specified.
  * Added find_library() for libyaml-cpp.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 04 Oct 2021 18:47:39 +0200


qdmr (0.9.0-alpha1-1) unstable; urgency=medium


  * Fixed encoding of admit criterion for AnyTone devices. Fixes #139.
  * Fixed YAML parser/serializer to handle unsigned ints again. Fixes #140.
  * Fixed squelch mode settings for AnyTone devices.
  * Fixed VOX enable/disable for channels in Radioddity & TyT codeplugs.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 02 Oct 2021 23:58:45 +0200

qdmr (0.9.0-alpha-1) unstable; urgency=medium

  * Reworked core library libdmrconf. 
  * Added Support for TyT MD-2017.
  * Unified GUI lists.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 02 Oct 2021 14:54:30 +0200


qdmr (0.8.1-1) unstable; urgency=medium

  * Fixed support for Radioddity GD-77
  * Updated man page for command line tool.
  * Fixed CTCSS tone of 71.9Hz.
  * Fixed time-slot override for OpenGD77 firmware.
  * Fixed crash on transfer errors with OpenGD77 radios.
  * Added prefix selection for call-sign DB upload.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Wed, 18 Aug 2021 12:14:03 +0200


qdmr (0.8.0-1) unstable; urgency=medium

  * Implemented support for AnyTone AT-D578UV.
  * Implemented support for AnyTone AT-D878UVII.
  * Fixed compile issue with MacOS 10.14
  * Fixed APRS map icon encoding.
  * Decode 0xffff priority channel as 'none set' for UV390.
  * Reworked radio detection. 
  * Implemented band settings for AnyTone devices.
  * Fixed issues with QSerialPort and QThread.
  * Fixed crash when deleting contact or revert channel of GPS system. 
  * Update of D878UV codeplug to CPS 1.23.
  * Added friend flag for AnyTone call-sign DB. 

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 12 Jul 2021 12:16:49 +0200


qdmr (0.7.3-1) unstable; urgency=medium

  * Implemented DTMF contacts for D868UVE & D878UV.
  * Fixed CTCSS decoding for D868UVE & D878UV.
  * Add menu option to refresh callsign DB. Thanks @maartentamboer.
  * Fixed frequency limit verification.
  * Fixed crash on false-positive HID radio interface detection.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 08 May 2021 17:55:45 +0200


qdmr (0.7.2-1) unstable; urgency=medium

  * Fixed corrupted address table after DFU file element sort.
  * Fixed encoding/decoding of D868UVE and D878UV radio IDs.
  * Fixed desktop file, you should see the icon now..

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 29 Apr 2021 08:44:55 +0200


qdmr (0.7.1-1) unstable; urgency=medium

  * Added address map to speedup codeplug generation.
  * Implemented multiple DMR IDs.
  * Fixed callsign DB for D878UV and D868UVE
  * Enabled callsign DB for D868UVE

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 24 Apr 2021 13:47:34 +0200


qdmr (0.7.0-1) unstable; urgency=medium

  * Added support for AnyTone AT-D878UVE.
  * Removed Ctrl+U/Ctrl+D shortcuts to avoid accidental upload/download.
  * Fixed config writer for GPS/APRS settings.
  * Fixed config reader for GPS/APRS settings.
  * Fixed RD-5R upload.
  * Fixed general settings encoding for AnyTone AT-D878UV according to @reald reverse engineering.
  * Fixed scan list decoding for AnyTone AT-D878UV.
  * Added frequency limits for all radios.
  * Set 'amateur mode' for AT-D878UV by default. Enables all menu items.
  * Fixed codeplug decoding for UV390/RT3S, especially for non-GPS radios.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Wed, 21 Apr 2021 18:06:39 +0200


qdmr (0.6.4-1) unstable; urgency=medium

  * Implemented callsign database generation and upload for AnyTone AT-D878UV
  * Fixed display and editing of channel power settings.
  * Implemented cloning of channels (Thanks to @hexagonal-sun for the hint).
  * Implemented talk group database and auto-completion.
  * Fixed number of contacts in group lists for AT-D878UV (thanks @reald)
  * Reveng and implemented boot time settings field for AT-D878UV.
  * Qdmr now remembers last directory used.
  * Store/restore column widths for all table views.
  * Added short-cuts for many operations.
  * Implmented table/list search.
  * Added auto-generation of roaming zones from selected group calls.
  * Implemented multiple selection for all tables.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Tue, 30 Mar 2021 19:15:40 +0200


qdmr (0.6.3-1) unstable; urgency=medium

  * Fix crash when reading AT878UV codeplug with empty zones (thanks @reald).
  * Set default color code to 1.
  * Fixed tool-tip in general settings.
  * Fixed model resets (cosmetics).
  * Fixed creation of RX group lists (nasty bug).

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sat, 27 Mar 2021 12:15:46 +0100


qdmr (0.6.2-1) unstable; urgency=medium

  * Added auto-enable of roaming
  * Added auto-enable of GPS
  * Added merge of zones for AnyTone AT-D878UV, Open GD77 and Radioddity RD-5R.
  * Fixed upload/download issue for serial interfaces (AT-D878UV, OpenGD 77) under MacOS 11.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 19 Mar 2021 11:07:36 +0100


qdmr (0.6.1-1) unstable; urgency=medium

  * Fixes compatibility with older Qt versions.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 15 Mar 2021 12:40:17 +0100


qdmr (0.6.0-1) unstable; urgency=medium

  * Added support for APRS reporting.
  * Added support for roaming.
  * Fixed a lot of AnyTone AT-D878UV issues.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 15 Mar 2021 11:46:36 +0100


qdmr (0.5.3-1) unstable; urgency=medium

  * Fixes detection of MD-UV390 devices.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Wed, 03 Mar 2021 12:20:36 +0100


qdmr (0.5.2-1) unstable; urgency=medium

  * Feature release.
  * GUI: Fixed crash if positioning service is not available/disabled.
  * OpenGD77: Implemented call-sign DB upload.
  * UV390: Fixed call-sign DB upload.
  * Moved updating the call-sign DB into a separate task.
  * Removed "UserDB" from generic config.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 21 Jan 2021 18:23:49 +0100


qdmr (0.5.1-1) unstable; urgency=medium

  * Bugfix release.
  * AT-D878UV: Fixed GPS code-plug representation.
  * AT-D878UV: Fixed channel encoding.
  * All: Turned missing contacts in RX group lists to warning.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 17 Jan 2021 12:17:58 +0100


qdmr (0.5.0-1) unstable; urgency=medium

  * New feature release: Implemented Anytone AT-D878UV support.
  * Cleanup code-plug decoding for Radioddity RD-5R, GD-77, TYT UV390 / Retevis RT3S and OpenGD77.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 15 Jan 2021 12:17:52 +0100


qdmr (0.4.7-1) unstable; urgency=medium

  * Adding/deleting multiple channels to/from zones.
  * Adding/deleting multiple channels to/from scan-lists.
  * Adding/deleting multiple group calls to/from RX group-lists.
  * Added possibility to reorder group calls in RX group-lists.
  * Fixed error messages in USB serial interface.
  * Added more power levels.
  * Added TX-channel for scan lists.
  * OpenGD77: Disabled scan-list validity check for OpenGD77.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 01 Jan 2021 20:02:47 +0100


qdmr (0.4.6-1) unstable; urgency=medium

  * GD-5R: Keep button settings.
  * GD77/OpenGD77: Fixed RX group limits
  * GD77/OpenGD77/RD-5R: Fixed validity detection for contacts
  * OpenGD77: Added support for 80 channel zones.
  * OpenGD77: Fixed crash on code-plug decode
  * GD77/OpenGD77/RD-5R: Off-by-one index error on channel linking
  * OpenGD77: Disabled scan-list encode/decode.
  * Fixed typo in main window.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 31 Dec 2020 12:51:20 +0100


qdmr (0.4.5-1) unstable; urgency=medium

  * Unintentional reset of button and general 
    settings for RD-5R, UV390 and RT3S.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 20 Nov 2020 18:50:05 +0100


qdmr (0.4.4-1) unstable; urgency=medium

  * Fixed build issue with ubuntu bionic.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Fri, 20 Nov 2020 07:49:55 +0100

qdmr (0.4.3-1) unstable; urgency=medium

  * Implemented and tested DCS for analog channels
  * Implemented "selected channel" for scan lists.
  * Fixed crash on upload to OpenGD77
  * Added code-plug verification to CLI.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Tue, 10 Nov 2020 18:09:58 +0100


qdmr (0.4.1-1) unstable; urgency=medium

  * Scan list channel indices are off by one for RD-5R, Open GD77 & GD77.
  * Verification warnings should not prevent code-plug upload.
  * Duplicate names should be verification warnings.
  * Contact representation for Open GD77 & GD77.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 02 Nov 2020 18:38:39 +0100


qdmr (0.4.0-1) unstable; urgency=medium

  * Added support for Open GD77.
  * Fixed RD-5R code-plug decoding.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 01 Nov 2020 13:40:08 +0100


qdmr (0.3.2-1) unstable; urgency=medium

  * Installs udev rules.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 11 Oct 2020 14:35:07 +0200

qdmr (0.3.1-1) unstable; urgency=medium

  * Fixed UV390/RT3S codeplug decoding.
  * Fixed typos in main window.
  * Fixed memory leak in codeplug download.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 13 Jul 2020 08:42:02 +0200


qdmr (0.3.0-1) unstable; urgency=medium

  * Finalized implementation of MD5R.
  * Fixed RD-5R upload.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Tue, 07 Jul 2020 16:34:22 +0200

qdmr (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Fixed code-plug generation for TYT MD-UV390 / Retevis RT-3S.
  * Some small UI improvements.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Sun, 22 Dec 2019 16:49:13 +0100


qdmr (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes Programming of RT3S & RD-5R.
  * Implements GPS Systems for RT3S.
  * Many small bug fixes.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Thu, 19 Dec 2019 16:21:21 +0100


qdmr (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixes TYT MD-UV390/Retevis RT-3S upload issues.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Tue, 17 Dec 2019 11:04:44 +0100


qdmr (0.2.0-1) unstable; urgency=medium

  * Fixed xenial build issues..

 -- Hannes Matuschek <hmatuschek@gmail.com>  Tue, 17 Dec 2019 11:01:00 +0100

qdmr (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Hannes Matuschek <hmatuschek@gmail.com>  Mon, 16 Dec 2019 17:31:00 +0100
